Subject: Re: [PATCH 1/3] NetXen: Make driver use multiple PCI functions

From: Mithlesh Thukral <[email-masked]>
Date: Thu, 8 Mar 2007 18:17:56 +0530

On Tuesday 06 March 2007 16:50, Jeff Garzik wrote:
> Linsys Contractor Mithlesh Thukral wrote:
> > NetXen: Make driver use multiple PCI functions.
> > This patch will make NetXen driver work with multiple PCI functions. This
> > will make the usage of memory resources as well as interrupts more
> > independent among different functions which results in better throughput.
> > This change has been done after the multiport capable firmware related
> > changes are already there in the NetXen's driver in Linux.
> >
> > Signed-off by: Mithlesh Thukral <[email-masked]>
> >
> > ---
> >
> >  drivers/net/netxen/netxen_nic.h          |  126 ++---
> >  drivers/net/netxen/netxen_nic_ethtool.c  |   80 +--
> >  drivers/net/netxen/netxen_nic_hdr.h      |    8
> >  drivers/net/netxen/netxen_nic_hw.c       |  213 ++++++--
> >  drivers/net/netxen/netxen_nic_hw.h       |   18
> >  drivers/net/netxen/netxen_nic_init.c     |  115 +---
> >  drivers/net/netxen/netxen_nic_isr.c      |   80 +--
> >  drivers/net/netxen/netxen_nic_main.c     |  523 ++++++++++-----------
> >  drivers/net/netxen/netxen_nic_niu.c      |   27 -
> >  drivers/net/netxen/netxen_nic_phan_reg.h |  125 -----
> >  10 files changed, 631 insertions(+), 684 deletions(-)
>
> applied 1-3 to #upstream (2.6.22)
hi Gurus,

Please bear with my poor understanding about the kernel development process. I 
have the following query:

1. We have sent these 3 patches which are have lined up for 2.6.22 kernel (as 
mentioned above).
2. The tree which is in netdev#upstream doesnt have these 3 above mentioned 
patches.
I need to send some patches now. My query is :

1. If i send the patches with respect to current netdev#upstream and if they 
are accepted, will the 3 patches which are applied for #upstream(2.6.22) 
not break (i mean not apply cleanly).
			OR
I should send the patches with respect to current netdev#upstream tree + above 
3 patches, so that these 3 patches apply cleanly when 2.6.22 development 
cycle begins.

Please advice me how to proceed on this.

Thanks,
Mithlesh Thukral